DeploymentOperationsOperations Class

DeploymentOperationsOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
DeploymentOperationsOperations

Constructor

DeploymentOperationsOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

get

Get a list of deployments operations.

list

Gets a list of deployments operations.

get

Get a list of deployments operations.

async get(resource_group_name: str, deployment_name: str, operation_id: str, **kwargs: Any) -> azure.mgmt.resource.resources.v2016_02_01.models._models_py3.DeploymentOperation

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

deployment_name
str
Required

The name of the deployment.

operation_id
str
Required

Operation Id.

cls
callable

A custom type or function that will be passed the direct response

Returns

DeploymentOperation, or the result of cls(response)

Return type

Exceptions

list

Gets a list of deployments operations.

list(resource_group_name: str, deployment_name: str, top: Optional[int] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.resource.resources.v2016_02_01.models._models_py3.DeploymentOperationsListResult]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

deployment_name
str
Required

The name of the deployment.

top
int
Required

Query parameters. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either DeploymentOperationsListResult or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.resource.resources.v2016_02_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\resource\\resources\\v2016_02_01\\models\\__init__.py'>